Package com.google.android.exoplayer2.source.rtsp.reader

## Interface RtpPayloadReader.Factory

- All Known Implementing Classes:
    `DefaultRtpPayloadReaderFactory`
  Enclosing interface:
    RtpPayloadReader

      public static interface RtpPayloadReader.Factory

  Factory of `RtpPayloadReader` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `@Nullable RtpPayloadReader` | `createPayloadReader​(RtpPayloadFormat payloadFormat)` | Returns a `RtpPayloadReader` for a given `RtpPayloadFormat`.

- - ### Method Detail

    - #### createPayloadReader

          @Nullable RtpPayloadReader createPayloadReader​(RtpPayloadFormat payloadFormat)

      Returns a `RtpPayloadReader` for a given `RtpPayloadFormat`.
      Parameters:
        `payloadFormat` - The `RtpPayloadFormat` of the RTP stream.
      Returns:
        A `RtpPayloadReader` for the packet stream, or `null` if the stream format is not supported.